Package org.opensaml.xacml.profile.saml.impl

# Class XACMLPolicyStatementTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.profile.saml.impl.XACMLPolicyStatementTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Statement`, `XACMLPolicyStatementType`, `XACMLObject`

public class XACMLPolicyStatementTypeImpl extends AbstractXMLObject implements XACMLPolicyStatementType
Concrete implementation of `XACMLPolicyStatementType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XACMLObject>`
`choiceGroup`
Choice group in element.
`private ReferencedPoliciesType`
`referencedPolicies`
ReferencedPolicie child.

### Fields inherited from interface org.opensaml.saml.saml2.core.Statement

`DEFAULT_ELEMENT_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.profile.saml.XACMLPolicyStatementType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML10, DEFAULT_ELEMENT_NAME_XACML11, DEFAULT_ELEMENT_NAME_XACML20, DEFAULT_ELEMENT_NAME_XACML30, TYPE_LOCAL_NAME, TYPE_NAME_XACML10, TYPE_NAME_XACML11, TYPE_NAME_XACML20, TYPE_NAME_XACML30`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`XACMLPolicyStatementTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<PolicyType>`
`getPolicies()`
Return the XACMLPolicy inside the policy statement.
`List<PolicySetType>`
`getPolicySets()`
Return the XACMLPolicySet inside the policy statement.
`ReferencedPoliciesType`
`getReferencedPolicies()`
Gets the referenced policies.
`void`
`setReferencedPolicies(ReferencedPoliciesType policies)`
Sets the referenced policies.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### choiceGroup

private IndexedXMLObjectChildrenList<XACMLObject> choiceGroup
Choice group in element.

### referencedPolicies

private ReferencedPoliciesType referencedPolicies
ReferencedPolicie child.

## Constructor Details

### XACMLPolicyStatementTypeImpl

protected XACMLPolicyStatementTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getPolicies

public List<PolicyType> getPolicies()
Return the XACMLPolicy inside the policy statement.

Specified by:
  `getPolicies` in interface `XACMLPolicyStatementType`
Returns:
  the Policy

### getPolicySets

public List<PolicySetType> getPolicySets()
Return the XACMLPolicySet inside the policy statement.

Specified by:
  `getPolicySets` in interface `XACMLPolicyStatementType`
Returns:
  the PolicySet

### getReferencedPolicies

public ReferencedPoliciesType getReferencedPolicies()
Gets the referenced policies.

Specified by:
  `getReferencedPolicies` in interface `XACMLPolicyStatementType`
Returns:
  referenced policies

### setReferencedPolicies

public void setReferencedPolicies(ReferencedPoliciesType policies)
Sets the referenced policies.

Specified by:
  `setReferencedPolicies` in interface `XACMLPolicyStatementType`
Parameters:
  `policies` - the referenced policies